Subject: Re: 1/48 AH-1S Cobra
From: "Steve Bamford ARC" <[email-masked]>
To: "Kelly Quirk" <[email-masked]>
Date: Mon, 28 Jul 2003 13:45:42 -0700

----- Original Message ----- 
  From: Kelly Quirk 
  To: Steve Bamford 
  Sent: Saturday, July 26, 2003 2:00 PM
  Subject: 1/48 AH-1S Cobra

  Hi Steve - I'm back!!  I'm done with ships for awhile, so be on the lookout for some more aircraft from me in the future!  Here is my latest:

  Monogram 1/48 AH-1S Cobra

  This is the excellent kit from Monogram.  The cockpit is fantastic right out of the box, no aftermarket needed here!  I did add the helmet rails and a scratchbuilt HUD, but that's it for the cockpit.  Not much was done to the exterior either.  I added an extra set of rocket launchers, taken from an Apache kit.  The sharkmouth came from a leftover TwoBob's set - they are really made for a Marine AH-1W, but I'm using the snake decal from that set and I couldn't let these go to waste!  I think they look cool.  The model was preshaded, painted, washed, drybrushed and then scratched up with a silver pencil.  Overall, an easy build and finally an Army bird for my display case!